// AP(r) Computer Science Marine Biology Simulation:
//
// This class is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation.
//
// This class is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

import java.awt.Color;

/**
 * Orca class which is a type of mammal. 
 * This shows extending past fish types.
 * @author Barb Ericson
 * Georgia Tech Jan 2005
 */
public class Orca extends Mammal
{
  ///////////// fields ////////////////////
  
  // Class Variable: Shared among ALL Orcas
    private static int nextAvailableID = 1;   // next avail unique identifier
    private static final int maxStepBetweenBreaths = 30;
    
  ///////////// constructors //////////////
  
  /**
   * Constructor that takes an environment and a location
   * @param theEnv  the environment this object is in
   * @param theLoc  the location of this object
   */
  public Orca(Environment theEnv, 
                Location theLoc)
  {
    // call the parent constructor
    super(nextAvailableID++, theEnv,theLoc, 
          maxStepBetweenBreaths);
  }
  
  /**
   * Constructor that takes an environment and a location
   * @param theEnv  the environment this object is in
   * @param theLoc  the location of this object
   * @param theDir  the direction of this object
   */
  public Orca(Environment theEnv, 
                Location theLoc,
              Direction theDir)
  {
    // call the parent constructor
    super(nextAvailableID++, theEnv,theLoc, 
          theDir, maxStepBetweenBreaths);
  }
  
   /**
   * Constructor that takes an environment and a location
   * @param theEnv  the environment this object is in
   * @param theLoc  the location of this object
   * @param theDir  the direction of this object
   * @param theColor the color of this object
   */
  public Orca(Environment theEnv, 
                Location theLoc,
              Direction theDir,
               Color theColor)
  {
    // call the parent constructor
    super(nextAvailableID++, theEnv,theLoc, 
          theDir, theColor, maxStepBetweenBreaths);
  }
  
  
}