import java.awt.*;

/**
 * Method to draw the wall 
 * Walls have a location and block
 * things from moving through them
 * 
 * @author Barb Ericson
 * Georgia Tech 2005
 */
public class WallDisplay extends AbstractDrawableDisplay
{
  /** Method to draw when passed a 
   * drawable object, the component
   * to draw in and the graphics context
   * @param drawable the object to draw
   * @param comp the component to draw in
   * @param g2 the graphics context
   */
  public void draw(Drawable drawable, 
                   Component comp, 
                   Graphics2D g2)
  {
    // do nothing
  }
  
  /** Draw the given object.
   *  @param   obj        object we want to draw
   *  @param   comp       component on which to draw
   *  @param   g2         drawing surface
   *  @param   rect       rectangle in which to draw 
   **/
  public void draw(Locatable obj, Component comp, Graphics2D g2, Rectangle rect)
  {
    // cast to drawable
    Drawable drawable = (Drawable)obj;
    
    //set the color and draw a filled rectangle
    g2.setColor(drawable.color());
    g2.fillRect(rect.x,rect.y,rect.width,rect.height);
  }
}

